List Cloud Regions (V1)
DeprecatedNotes
This endpoint is deprecated. Please consider using the corresponding V2 endpoint instead.
Lists all available cloud regions of a specific cloud provider.
GET/v1/regions
The base URL for this API is in the following format:
https://controller.api.${CLOUD_REGION}.zillizcloud.com
📘Notes
- You need to replace
${CLOUD_REGION}with the appropriate region for your deployment. - To get the cloud region ID, refer to On Zilliz Cloud Console or List Cloud Regions.
shell
export CLOUD_REGION="gcp-us-west1"
export BASE_URL="https://controller.api.${CLOUD_REGION}.zillizcloud.com"
Parameters
Authorizationstringheaderrequired
The authentication token should be an API key with appropriate privileges.
Example Value: Bearer {{TOKEN}}
cloudIdstringquery
The ID of a valid cloud provider.
Example Value: gcp
bash
export TOKEN="YOUR_API_KEY"
curl --request GET \
--url "${BASE_URL}/v1/regions" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses200 OK - application/json
Returns a list of all available regions that the specified cloud provider offers.
A success response.
codeinteger
Response code.
dataarray
Response payload, which is an object containing information about cloud regions.
[]dataobject
A cloud region.
cloudIdstring
The ID of the cloud provider.
regionIdstring
The ID of the cloud region.
domainstring
The base URL of the Zilliz Cloud open API endpiont.
Returns an error message.
codeinteger
Response code.
messagestring
Error message.
Successjson
{
"code": 200,
"data": [
{
"cloudId": "gcp",
"domain": "*.api.gcp-us-west1.zillizcloud.com",
"regionId": "gcp-us-west1"
}
]
}